org.apache.solr.client.solrj.impl

## Class CloudSolrClient.RouteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.solr.common.SolrException
        - - org.apache.solr.client.solrj.impl.CloudSolrClient.RouteException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CloudSolrClient

      public static class CloudSolrClient.RouteException
      extends SolrException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.common.SolrException

      `SolrException.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.common.SolrException

      `ERROR_CLASS, ignorePatterns, metadata, ROOT_ERROR_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouteException(SolrException.ErrorCode errorCode, NamedList<Throwable> throwables, Map<String,LBHttpSolrClient.Req> routes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,LBHttpSolrClient.Req>` | `getRoutes()`
    `NamedList<Throwable>` | `getThrowables()`

    - ### Methods inherited from class org.apache.solr.common.SolrException

      `code, doIgnore, getMetadata, getMetadata, getRootCause, getRootThrowable, getThrowable, log, log, log, log, logDebugWithMdc, logInfoWithMdc, logWarnWithMdc, setMetadata, setMetadata, toStr, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RouteException

          public RouteException(SolrException.ErrorCode errorCode,
                                NamedList<Throwable> throwables,
                                Map<String,LBHttpSolrClient.Req> routes)

  - ### Method Detail

    - #### getThrowables

          public NamedList<Throwable> getThrowables()

    - #### getRoutes

          public Map<String,LBHttpSolrClient.Req> getRoutes()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.